{
  "schema_version": "1.4.0",
  "id": "GHSA-wj4m-jprf-g224",
  "modified": "2022-05-03T03:14:19Z",
  "published": "2022-05-03T03:14:19Z",
  "aliases": [
    "CVE-2005-2705"
  ],
  "details": "Integer overflow in the JavaScript engine in Firefox before 1.0.7 and Mozilla Suite before 1.7.12 might allow remote attackers to execute arbitrary code.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-2705"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=303213"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/22377"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10367"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1307"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/16911"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/16917"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/16977"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17014"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17026"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17042"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17090"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17149"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17263"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17284"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1014954"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2005/dsa-838"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2005/dsa-866"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2005/dsa-868"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:169"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:170"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:174"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/security/announce/mfsa2005-58.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2005_58_mozilla.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/archives/fedora-legacy-announce/2006-January/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-785.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-789.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-791.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/14917"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/15495"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-200-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2005/1824"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-09-23T19:03:00Z"
  }
}